libkdstatemachineeditor_core1_2_5-1.2.5-ku.27.3.x86_64.rpm


Advertisement

Description

libkdstatemachineeditor_core1_2_5 - KDAB State Machine Editor core library

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename libkdstatemachineeditor_core1_2_5-1.2.5-ku.27.3.x86_64.rpm
Package name libkdstatemachineeditor_core1_2_5
Package version 1.2.5
Package release ku.27.3
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://kdab.github.io/KDStateMachineEditor/
License LGPL-2.1-only
Maintainer -
Download size 117.70 KB
Installed size 389.49 KB
The KDAB State Machine Editor Library is a framework that can be used
to help develop State Machine Editing graphical user
interfaces and tools. Output from such applications is in metacode
or QML that can then be used in Qt or QtQuick projects.

Alternatives

Package Version Architecture Repository
libkdstatemachineeditor_core1_2_5-1.2.5-27.5.x86_64.rpm 1.2.5 x86_64 KDE 5
libkdstatemachineeditor_core1_2_5-1.2.5-27.5.i586.rpm 1.2.5 i586 KDE 5
libkdstatemachineeditor_core1_2_5-1.2.5-18.5.x86_64.rpm 1.2.5 x86_64 KDE Extra
libkdstatemachineeditor_core1_2_5-1.2.5-18.5.i586.rpm 1.2.5 i586 KDE Extra
libkdstatemachineeditor_core1_2_5-1.2.5-1.3.x86_64.rpm 1.2.5 x86_64 openSUSE Oss
libkdstatemachineeditor_core1_2_5-1.2.5-1.3.i586.rpm 1.2.5 i586 openSUSE Oss
libkdstatemachineeditor_core1_2_5-1.2.5-ku.27.3.i586.rpm 1.2.5 i586 KDE Unstable
libkdstatemachineeditor_core1_2_5 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Qml.so.5()(64bit) -
libQt5Qml.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libcgraph.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgvc.so.6()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -

Provides

Name Value
libkdstatemachineeditor_core.so.1.2.5()(64bit) -
libkdstatemachineeditor_core1_2_5 = 1.2.5-ku.27.3
libkdstatemachineeditor_core1_2_5(x86-64) = 1.2.5-ku.27.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libkdstatemachineeditor_core1_2_5-1.2.5-ku.27.3.x86_64.rpm
Source Package kdstatemachineeditor-1.2.5-ku.27.3.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install libkdstatemachineeditor_core1_2_5 rpm package:
    # zypper install libkdstatemachineeditor_core1_2_5

Files

Path
/usr/lib64/libkdstatemachineeditor_core.so.1.2.5
/usr/share/doc/packages/libkdstatemachineeditor_core1_2_5/CHANGES
/usr/share/doc/packages/libkdstatemachineeditor_core1_2_5/ReadMe.txt
/usr/share/licenses/libkdstatemachineeditor_core1_2_5/LICENSE.BSD3.txt
/usr/share/licenses/libkdstatemachineeditor_core1_2_5/LICENSE.LGPL.txt
/usr/share/licenses/libkdstatemachineeditor_core1_2_5/LICENSE.US.txt
/usr/share/licenses/libkdstatemachineeditor_core1_2_5/LICENSE.txt

Changelog

2019-03-01 - wbauer@tmo.at
- Update to 1.2.5
* Keeping up with Qt5, CMake and QNX
2018-10-25 - Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.2.4
* Fix a build issue
- Drop fix-build.patch. Fixed upstream
2018-05-22 - christophe@krop.fr
- Update to 1.2.3. Changes since 1.2.1:
* minor syncing with externals
* Fix build issue with Qt 5.10 on windows+MSVC
* Update graphviz SHA1 (fixes issues regarding sort.exe lookup)
* Minor CMake improvements
- Add fix-build.patch to fix build with recent Qt versions.
2017-08-20 - christophe@krop.fr
- Update to 1.2.1:
* Handle building with QtRemoteObjects from Qt5.9
* API docs are always built if doxygen is found (unless -DBUILD_DOCS is off)
* QCH docs are also built
* Fix build against namespaced Qt
- Drop the kdstatemachineeditor package.
2017-02-19 - jengelh@inai.de
- Fix RPM groups again. Trim filler words from description.
2017-02-17 - alarrosa@suse.com
- Initial release 1.2.0

See Also

Package Description
libkdstatemachineeditor_view1_2_5-1.2.5-ku.27.3.i586.rpm KDAB State Machine Editor view library
libkdstatemachineeditor_view1_2_5-1.2.5-ku.27.3.x86_64.rpm KDAB State Machine Editor view library
liblastfm-qt5-devel-1.0.9+20150206-ku.5.5.i586.rpm Development Files for the Last.fm Webservices
liblastfm-qt5-devel-1.0.9+20150206-ku.5.5.x86_64.rpm Development Files for the Last.fm Webservices
liblastfm5-1-1.0.9+20150206-ku.5.5.i586.rpm A Qt C++ Library for the Last.fm Webservices
liblastfm5-1-1.0.9+20150206-ku.5.5.x86_64.rpm A Qt C++ Library for the Last.fm Webservices
liblastfm5-1-32bit-1.0.9+20150206-ku.5.5.x86_64.rpm A Qt C++ Library for the Last.fm Webservices
liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.i586.rpm A Qt C++ Library for the Last.fm Webservices
liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.x86_64.rpm A Qt C++ Library for the Last.fm Webservices
liblastfm_fingerprint5-1-32bit-1.0.9+20150206-ku.5.5.x86_64.rpm A Qt C++ Library for the Last.fm Webservices
libmlt++-devel-6.14.0-ku.2.1.i586.rpm Development files for MLT's C++ language API
libmlt++-devel-6.14.0-ku.2.1.x86_64.rpm Development files for MLT's C++ language API
libmlt++3-6.14.0-ku.2.1.i586.rpm C++ library API for the MLT multimedia framework
libmlt++3-6.14.0-ku.2.1.x86_64.rpm C++ library API for the MLT multimedia framework
libmlt-devel-6.14.0-ku.2.1.i586.rpm Development files for MLT's C language API
Advertisement
Advertisement